#include<iostream>
#include<bits/stdc++.h>
#include<string>
using namespace std;
int main ()
{
    string c,c1,c2,maksc,not_maksc;
    cin>>c;
    int a1,a2;
    cin>>a1>>a2;
    string s[a1+a2];
    c1=c[0];
    c2=c[1];
    if(a1>a2)
    {
        maksc=c1;
        not_maksc=c2;
    }
    else
    {
        maksc=c2;
        not_maksc=c1;
    }
    if((a1==a2))
    {
        for(int i=0; i<(a1+a2); i++)
        {
            if(i%2==0)
                s[i]=c1;
            else
                s[i]=c2;
        }


        for(int i=0; i<(a1+a2); i++)
            cout<<s[i];
    }
    else
    {

        if(abs(a1-a2)==1)
        {
            for(int i=0; i<a1+a2; i++)
            {
                if(i%2==0)
                    s[i]=maksc;
                else
                    s[i]=not_maksc;
            }
            for(int i=0; i<(a1+a2); i++)
                cout<<s[i];
        }
        else
            cout<<"nemoguce";
    }
    return 0;
}